#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hackage-security
version: 0.5.3.0
id: hackage-security-0.5.3.0-9vNUXbX9ddKFzoEx3WqWcH
key: hackage-security-0.5.3.0-9vNUXbX9ddKFzoEx3WqWcH
license: BSD-3-Clause
copyright: Copyright 2015-2016 Well-Typed LLP
maintainer: cabal-devel@haskell.org
author: Edsko de Vries
homepage: https://github.com/haskell/hackage-security
synopsis: Hackage security library
description:
    The hackage security library provides both server and
    client utilities for securing the Hackage package server
    (<http://hackage.haskell.org/>).  It is based on The Update
    Framework (<http://theupdateframework.com/>), a set of
    recommendations developed by security researchers at
    various universities in the US as well as developers on the
    Tor project (<https://www.torproject.org/>).
    .
    The current implementation supports only index signing,
    thereby enabling untrusted mirrors. It does not yet provide
    facilities for author package signing.
    .
    The library has two main entry points:
    "Hackage.Security.Client" is the main entry point for
    clients (the typical example being @cabal@), and
    "Hackage.Security.Server" is the main entry point for
    servers (the typical example being @hackage-server@).
category: Distribution
abi: 606b547704c0794dc67babb017de8da7
exposed: True
exposed-modules:
    Hackage.Security.Client Hackage.Security.Client.Formats
    Hackage.Security.Client.Repository
    Hackage.Security.Client.Repository.Cache
    Hackage.Security.Client.Repository.HttpLib
    Hackage.Security.Client.Repository.Local
    Hackage.Security.Client.Repository.Remote
    Hackage.Security.Client.Verify Hackage.Security.JSON
    Hackage.Security.Key.Env Hackage.Security.Server
    Hackage.Security.TUF.FileMap Hackage.Security.Trusted
    Hackage.Security.Util.Checked Hackage.Security.Util.IO
    Hackage.Security.Util.Lens Hackage.Security.Util.Path
    Hackage.Security.Util.Pretty Hackage.Security.Util.Some
    Text.JSON.Canonical
hidden-modules: Hackage.Security.Key Hackage.Security.Trusted.TCB
                Hackage.Security.TUF Hackage.Security.TUF.Common
                Hackage.Security.TUF.FileInfo Hackage.Security.TUF.Header
                Hackage.Security.TUF.Layout.Cache Hackage.Security.TUF.Layout.Index
                Hackage.Security.TUF.Layout.Repo Hackage.Security.TUF.Mirrors
                Hackage.Security.TUF.Paths Hackage.Security.TUF.Patterns
                Hackage.Security.TUF.Root Hackage.Security.TUF.Signed
                Hackage.Security.TUF.Snapshot Hackage.Security.TUF.Targets
                Hackage.Security.TUF.Timestamp Hackage.Security.Util.Base64
                Hackage.Security.Util.Exit Hackage.Security.Util.FileLock
                Hackage.Security.Util.JSON Hackage.Security.Util.Stack
                Hackage.Security.Util.TypedEmbedded Prelude
import-dirs: /usr/lib/ghc-8.4.3/site-local/hackage-security-0.5.3.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/hackage-security-0.5.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/hackage-security-0.5.3.0
hs-libraries: HShackage-security-0.5.3.0-9vNUXbX9ddKFzoEx3WqWcH
depends:
    base-4.11.1.0 base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bytestring-0.10.8.2 Cabal-2.2.0.1 containers-0.5.11.0
    ed25519-0.0.5.0-J1zl42RyRuN3VNmQie6YiT filepath-1.4.2 mtl-2.2.2
    parsec-3.1.13.0 pretty-1.1.3.6
    cryptohash-sha256-0.11.101.0-CJeFvVNcGiT5bH5InaPROn
    tar-0.5.1.0-2NE6oowiyVxJcDjgLMgVCm time-1.8.0.2
    transformers-0.5.5.0 zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    template-haskell-2.13.0.0 ghc-prim-0.5.2.0 directory-1.3.1.5
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    network-2.7.0.2-DHEaxB3Qzor483iLxewsye
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=0cc0842c69ffec2c0f1c4a27d1f518e1
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             Cabal-2.2.0.1=cb731d19f27640e4ae6e4fb9c679c02f
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             ed25519-0.0.5.0-J1zl42RyRuN3VNmQie6YiT=dbc95f97985cf168dec05001bfc704ec
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             pretty-1.1.3.6=242598bba36778e604a1e89d5c7ce1a8
             cryptohash-sha256-0.11.101.0-CJeFvVNcGiT5bH5InaPROn=8f10c144e16891419e615e487659578f
             tar-0.5.1.0-2NE6oowiyVxJcDjgLMgVCm=9d10173d6ade07db550dd45effe8fbff
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=ef1ac153a45a86b7156d838914c2c4aa
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             ghc-prim-0.5.2.0=39dc2488936298f474639901f9105eec
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=1c5b19d707f7ce4714ffa81cd536dbf4
             network-2.7.0.2-DHEaxB3Qzor483iLxewsye=6aeecf5609d81737c1dbc231763db621
haddock-interfaces: /usr/share/doc/haskell-hackage-security/html/hackage-security.haddock
haddock-html: /usr/share/doc/haskell-hackage-security/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

